@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800;900&display=swap");
@import "../css/bootstrap.min.css";
:root {
  --color-primary: #2e2d2c;
  --color-second: #312490;
  --color-third: #808080;
  --color-error: #fc5a5a;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.layout {
  background: linear-gradient(117deg, #f2f2f2 0%, #e3e8ec 100%);
  min-height: 100vh;
  display: flex;
  padding: 20px 40px;
  overflow-x: hidden;
}
.layout main {
  width: 100%;
  padding: 40px 20px;
  overflow: hidden;
}
@media (max-width: 768px) {
  .layout {
    padding: 10px;
  }
  .layout main {
    padding: 0px 0px 0px 10px;
  }
}

body {
  font-size: 14px;
  overflow-x: hidden;
  font-family: "Poppins", sans-serif;
  color: var(--color-primary);
}

html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
abbr,
address,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
samp,
small,
strong,
sub,
sup,
var,
b,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  outline: 0;
  vertical-align: middle;
  background: transparent;
}

a {
  font-size: 16px;
  color: var(--color-primary);
  text-decoration: none;
}

ul {
  list-style: none;
}

input::placeholder {
  color: #2e2d2c;
}

.flex {
  display: flex;
}

.items-center {
  align-items: center;
}

.gap-1 {
  gap: 1rem;
}

.gap-2 {
  gap: 2rem;
}

button {
  border: none;
  background: transparent;
}

.input-password {
  position: relative;
}
.input-password .icon {
  position: absolute;
  right: 16px;
  top: 50%;
  transform: translateY(-50%);
  cursor: pointer;
  border: none;
  width: fit-content;
  height: fit-content;
  background: transparent;
  color: black;
  font-size: medium;
  font-weight: normal;
}
.input-password .icon:lang(ar) {
  left: 16px;
  right: auto;
}

nav {
  border-radius: 10px;
  background: #5830c5;
  box-shadow: 0px 4px 4px 0px rgba(88, 48, 197, 0.25);
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  padding: 20px 15px;
}
nav ul li {
  text-align: center;
}
nav ul li:not(:last-of-type) {
  margin-bottom: 30px;
}
nav ul li.notification {
  position: relative;
}
nav ul li.notification .notificationsList {
  width: 480px;
  position: absolute;
  left: 45px;
  top: -75px;
  border-radius: 20px 20px 20px 0px;
  border: 1px solid var(--color-second);
  background: #e3e8ec;
  padding: 10px 30px;
  display: none;
  transition: all 0.3s ease-out;
}
nav ul li.notification .notificationsList li {
  display: flex;
  align-items: center;
  column-gap: 10px;
  margin-bottom: 10px;
}
nav ul li.notification .notificationsList li span {
  font-size: 16px;
}
nav ul li.notification:hover .notificationsList {
  display: block;
}
@media (max-width: 500px) {
  nav ul li.notification .notificationsList {
    width: 300px;
    top: -145px;
  }
  nav ul li.notification .notificationsList span {
    font-size: 14px;
  }
}

.flexAlign {
  display: flex;
  align-items: center;
}

.flexCenter {
  display: flex;
  align-items: center;
  justify-content: center;
}

.flexColumn {
  display: flex;
  flex-direction: column;
  row-gap: 20px;
  justify-content: center;
}

.flexGrow {
  flex: 1;
}

.flexBetween {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.flexStart {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.flexEnd {
  display: flex;
  justify-content: flex-end;
}

.text-center {
  text-align: center;
}

.fullHight {
  height: 100%;
}

.fullHightS2 {
  min-height: calc(100vh - 180px);
}
@media (max-width: 430px) {
  .fullHightS2 {
    min-height: auto;
  }
}